/* Copyright (C) 2011 Andre Noll <maan@tuebingen.mpg.de>, see file COPYING. */

/** \file crypt_backend.h Non-public crypto interface. */

/* This should only be included from files which provide crypto functions. */

/** AES block size in bytes. */
#define AES_CRT128_BLOCK_SIZE 16

int decode_public_key(const char *filename, unsigned char **blob,
		size_t *decoded_size);
int decode_private_key(const char *key_file, unsigned char **result,
		size_t *blob_size);
/** Legacy PEM keys (openssh-7.7 and earlier, paraslash.0.6.2 and earlier) */
#define PKT_PEM (0)
/** OPENSSH keys (since openssh-7.8, paraslash.0.6.3) */
#define PKT_OPENSSH (1)
int check_private_key_file(const char *file);
int find_openssh_bignum_offset(const unsigned char *data, int len);
