m4_define(PROGRAM, para_filter)
[suite filter]
version-string = GIT_VERSION()
[supercommand para_filter]
	purpose = decode or process audio data from STDIN to STDOUT
	[description]
		This program transforms the audio stream read from STDIN by chaining
		one or more filters. A common mode of operation is to decode an
		mp3 file with the mp3dec filter, but many other filters exist which
		transform the audio stream in different ways.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	m4_include(per-command-options-section.m4)
	[option filter]
		short_opt = f
		summary = add one filter to the filter chain
		arg_info = required_arg
		arg_type = string
		flag multiple
		typestr = filter_spec
		[help]
			A filter specifier begins with the name of a supported filter,
			optionally followed by zero or more options for the named filter.
			Filter name and options must be separated by whitespace. If the
			there is at least one option, the filter specifier needs to be quoted
			like this:

				--filter 'compress --inertia 5 --damp 2'

			This option may be specified multiple times to 'pipe' the stream
			through all given filters (in a single thread without copying the
			data). The same filter may appear more than once, and order matters.
		[/help]
[section Examples]
	.IP \(bu 4
	Decode a wma file to wav format:
	.EX
	\ 	para_filter -f wmadec -f wav < file.wma > file.wav
	.EE
	.IP \(bu 4
	Amplify a raw audio file by a factor of 1.5:
	.EX
	\ 	para_filter -f amp --amp 32 < foo.raw > bar.raw
	.EE
[/section]
